# GenerateSchemeFileTask

API Documentation: | `GenerateSchemeFileTask`

Note: This class is incubating and may change in a future version of Gradle.

Task for generating a Xcode scheme file (e.g. `Foo.xcodeproj/xcshareddata/xcschemes/Foo.xcscheme`). An Xcode scheme defines a collection of targets to build, a configuration to use when building, and a collection of tests to execute.

You can have as many schemes as you want, but only one can be active at a time. You can include a scheme in a project—in which case it’s available in every workspace that includes that project, or in the workspace—in which case it’s available only in that workspace.

This task is used in conjunction with `GenerateXcodeProjectFileTask`.

### Properties

Property | Description
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | The output file to write the final configuration to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

The output file to write the final configuration to.